> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corebanq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update fee range

> Update an existing fee range



## OpenAPI

````yaml put /v1/tariffs/ranges/{range_id}
openapi: 3.0.0
info:
  title: Tariffs API
  version: 1.0.0
  description: API for managing tariffs and fee calculations
servers: []
security:
  - bearerAuth: []
tags:
  - name: Tariffs
    description: Tariff management operations
  - name: Fee Ranges
    description: Fee range operations
  - name: Fee Calculation
    description: Fee calculation operations
  - name: Dictionaries
    description: Dictionary data operations
paths:
  /v1/tariffs/ranges/{range_id}:
    put:
      tags:
        - Fee Ranges
      summary: Update fee range
      description: Update an existing fee range
      parameters:
        - name: range_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: ebd253a6-d573-4d0d-be8d-f8f9a58461f2
      responses:
        '200':
          description: Fee range updated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FeeRange'
components:
  schemas:
    FeeRange:
      type: object
      properties:
        id:
          type: string
          format: uuid
        tariff_id:
          type: string
          format: uuid
        range_start:
          type: number
          minimum: 0
        range_end:
          type: number
          minimum: 0
        fixed_fee:
          type: number
          minimum: 0
        percent_fee:
          type: number
          minimum: 0
        method:
          type: string
          enum:
            - fixed
            - percentage
            - greater
            - lesser
            - sum
        min_fee:
          type: number
          minimum: 0
        max_fee:
          type: number
          minimum: 0
        media:
          type: string
        asset:
          type: string
        from_channel:
          type: string
        to_channel:
          type: string
        valid_from:
          type: string
          format: date-time
        valid_to:
          type: string
          format: date-time
        active:
          type: boolean
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````